WinUser.HARDWAREINPUT (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: WinUser, class: HARDWAREINPUT

Package com.sun.jna.platform.win32

# Class WinUser.HARDWAREINPUT

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.WinUser.HARDWAREINPUT

Direct Known Subclasses:
  `WinUser.HARDWAREINPUT.ByReference`

Enclosing interface:
  WinUser

@FieldOrder({"uMsg","wParamL","wParamH"}) public static class WinUser.HARDWAREINPUT extends Structure
Contains information about a simulated message generated by an input device other than a keyboard or mouse.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `WinUser.HARDWAREINPUT.ByReference`

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `WinDef.DWORD`
  `uMsg`
  `WinDef.WORD`
  `wParamH`
  `WinDef.WORD`
  `wParamL`

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HARDWAREINPUT()`
  `HARDWAREINPUT(Pointer memory)`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### uMsg

    public WinDef.DWORD uMsg

  - ### wParamL

    public WinDef.WORD wParamL

  - ### wParamH

    public WinDef.WORD wParamH

- ## Constructor Details

  - ### HARDWAREINPUT

    public HARDWAREINPUT()

  - ### HARDWAREINPUT

    public HARDWAREINPUT(Pointer memory)